function computers_go() {
	var arr=[];
	for (var i=0;i<9;i++) arr[i]=i;
	Shuffle(arr);
	var looking=true;
	for (var i=0;i<9;i++) {
		var id=arr[i];
		if (g_squares[id]==0) {
			var keep_id=id;
			g_squares[id]=1;
			if (!check()) {
				play(id);
				looking=false;
				break;
			} else {
				g_squares[id]=0;
			}
		}
	}
	if (looking) play(keep_id);
	if (check()) {
		show_result();
		g_finished=true;
		var el=document.getElementById('message');
		el.textContent="You win! Well done!";
		g_player_count++;
		var el=document.getElementById('player');
		el.textContent=g_player_count;
		var el=document.getElementById('another');
		el.style.visibility='visible';
	} else {
		g_player=true;
	}
}
function play(id) {
	for (var i=0;i<9;i++) {
		var el=document.getElementById(i);
		el.style.color='blue';
	}
	var el=document.getElementById(id);
	el.textContent='X';
	g_squares[id]=1;
	el.style.color='brown';
}
